%define oname	mash

%define major		0
%define api		0.1
%define girmajor	0.1

%define libname	%mklibname %{oname} %{api} %{major}
%define devname	%mklibname -d %{oname} %{api}
%define girname	%mklibname %{oname}-gir %{girmajor}

Summary:	A library for using real 3D models within a Clutter scene
Name:		libmash
Version:	0.1.0
Release:	%mkrel 4
License:	LGPLv2+
Group:          System/Libraries
URL:		http://wiki.clutter-project.org/wiki/Mash
Source0:	http://source.clutter-project.org/sources/mash/0.1/mash-%{version}.tar.xz
Patch0:		0001-Use-the-system-version-of-rply-if-available.patch
BuildRequires:	libtool
BuildRequires:	libgirepository-devel
BuildRequires:	glib2-devel >= 2.16
BuildRequires:	clutter-devel
BuildRequires:	gtk-doc
BuildRequires:	rply-devel

%description
Mash is a small library for using real 3D models within a Clutter
scene. Models can be exported from Blender or other 3D modeling
software as PLY files and then used as actors. It also supports a
lighting model with animatable lights.

%package -n %{libname}
Summary:	A library for using real 3D models within a Clutter scene
Group:		System/Libraries

%description -n %{libname}
Mash is a small library for using real 3D models within a Clutter
scene. Models can be exported from Blender or other 3D modeling
software as PLY files and then used as actors. It also supports a
lighting model with animatable lights.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files needed for
development of programs using %{name}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .use-system-rply

%build
autoreconf -vf
%configure2_5x \
	--disable-silent-rules \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS AUTHORS
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Mash-%{girmajor}.typelib

%files -n %{devname}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/mash
%{_includedir}/%{oname}-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/Mash-%{girmajor}.gir


%changelog
* Thu Sep 22 2011 Texstar <texstar at gmail.com> 0.1.0-2pclos2011
- rebuild

* Tue Sep 06 2011 Texstar <texstar at gmail.com> 0.1.0-1pclos2011
- 0.1.0
